# wxDataViewTextRenderer Class Reference
[wxDataViewCtrl Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dataview.h>`

Inheritance diagram for wxDataViewTextRenderer:
[legend]

## Detailed Description

wxDataViewTextRenderer is used for rendering text.

It supports in-place editing if desired.

##

Library: wxAdvanced
Category: wxDataViewCtrl Related Classes

## Public Member Functions

| wxDataViewTextRenderer (const wxString &varianttype="string", wxDataViewCellMode mode=wxDATAVIEW_CELL_INERT, int align=wxDVR_DEFAULT_ALIGNMENT)
| The ctor.

List of all members.

## Constructor & Destructor Documentation

wxDataViewTextRenderer::wxDataViewTextRenderer | ( | const wxString & | varianttype = `"string"`,
|  | wxDataViewCellMode | mode = `wxDATAVIEW_CELL_INERT`,
|  | int | align = `wxDVR_DEFAULT_ALIGNMENT` |
| ) |  |  |

The ctor.

|  | [ top ]